Want more timely Centmin Mod News Updates?
Become a Member

Sysadmin PIP version upgrade - python and borgbackup

Discussion in 'System Administration' started by Saahib, May 7, 2020.

  1. Saahib

    Saahib Member

    38
    2
    8
    Oct 8, 2017
    Ratings:
    +6
    Local Time:
    11:09 AM
    1.13
    10.2
    I have been trying to upgrade form simple Rsync to something better for backups. Want to go with Borgbackup however, can't get it installed.

    Sadly this server is centos 6, so I have having hard time installing it.
    Can't find it yum due to priority thing.

    PIP install borg is giving error:
    Code:
    DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. pip 21.0 will drop support for Python 2.7 in January 2021. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support/
    I also saw error that need to upgrade PIP to 2.1 something.

    Any advice to get borg installed without breaking things ?
     
  2. Saahib

    Saahib Member

    38
    2
    8
    Oct 8, 2017
    Ratings:
    +6
    Local Time:
    11:09 AM
    1.13
    10.2
  3. eva2000

    eva2000 Administrator Staff Member

    44,183
    10,072
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,570
    Local Time:
    3:39 PM
    Nginx 1.17.x
    MariaDB 5.5/10.x
  4. Saahib

    Saahib Member

    38
    2
    8
    Oct 8, 2017
    Ratings:
    +6
    Local Time:
    11:09 AM
    1.13
    10.2
    Ya got that working to install borgbackup 1.1.11 . It was hell of a ride, not a single thing went straight but I think settling with borg was good idea. It has deduplication, encryption, compression and all thing I was looking for. And above all, its supported by various backup service provider.